"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Locker = void 0;
const object_hash_1 = __importDefault(require("object-hash"));
class Locker extends Map {
    set(key, value) {
        return super.set((0, object_hash_1.default)(key), value);
    }
    has(key) {
        return super.has((0, object_hash_1.default)(key));
    }
    delete(key) {
        return super.delete((0, object_hash_1.default)(key));
    }
}
exports.Locker = Locker;
//# sourceMappingURL=locker.js.map