import { Class } from './types';
import { MongoCollection, MongoDocument } from './mongodb';
export declare class CollectionMetadata<TEntity extends MongoDocument> {
    private readonly entity;
    static registry: Map<Class, CollectionMetadata<any>>;
    private readonly logger;
    constructor(entity: Class<TEntity>);
    synchronize(collection: MongoCollection): Promise<void>;
    static collect<TEntity extends MongoDocument>(entity: Class<TEntity>): CollectionMetadata<TEntity>;
}
