import { DynamicModule } from '@nestjs/common';
import { Class, ForRootAsyncOptions, ForRootOptions, MongoModuleOptions } from '../lib/types';
export declare class MongoModule {
    static forRoot(options: ForRootOptions<MongoModuleOptions>): DynamicModule;
    static forRootAsync({ inject, useFactory }: ForRootAsyncOptions<MongoModuleOptions>): DynamicModule;
    static forFeature(entities: Array<Class>): DynamicModule;
    private static getProviders;
}
