import { OnApplicationBootstrap, OnApplicationShutdown } from '@nestjs/common';
import { MongoClient, MongoDatabase } from '../lib/mongodb';
export declare class MongoService implements OnApplicationBootstrap, OnApplicationShutdown {
    private readonly db;
    private readonly client;
    private readonly logger;
    constructor(db: MongoDatabase, client: MongoClient);
    onApplicationBootstrap(): Promise<void>;
    onApplicationShutdown(): Promise<void>;
}
